Google Groups no longer supports new Usenet posts or subscriptions. Historical content remains viewable.
Dismiss

Subtract without unioning?

448 views
Skip to first unread message

chrisb

unread,
Apr 15, 2004, 11:30:04 AM4/15/04
to
OK-a partial correction to my last post: I just realized that the reason that AS MANY parts got unioned in my last operation because I had inadvertantly left Group selection on (and they were all part of a group). BUT, I DO know that with or without Group, 2 solids WILL union when another soild is subtracted from both in one operation. So I repeat my question: can this be avoided, or just worked around?

jackshield

unread,
Apr 15, 2004, 11:32:46 AM4/15/04
to
i would say work around, thats what i do.

chrisb

unread,
Apr 15, 2004, 11:20:32 AM4/15/04
to
Does anyone know of a way to keep 2 separate solids from becoming unioned when a common solid is subtracted from both of them at the same time? Simple Example: 2 solids that represent 2 flanges that are to have, say, a screw hole that lines up perfectly from one part to the other. Obvious solution: subtract a single cylinder that passes thru. both. The result? 2 perfectly aligned holes, BUT, 2 formerly separate solids now unioned (without my permission, needless to say). Separating afterwards is not the answer - that's obvious enough - in the real world I have a complex assy (kind of) in which it has just erroneously unioned about 12 solids all together with a single subtraction operation (thank Autodesk for their fabulous Undo feature).

madcadd

unread,
Apr 15, 2004, 12:30:05 PM4/15/04
to
Hi chris,

Flanges, somebody talking my language. Deal with flanges all day long. And yes I have this problem all day long as well. My answer is what you thought all along, I cheat. Copy the part to be subtracted a known distance and subtract the remaining one from one solid, then move the other back by that known distance and subtract it from the other solid. Hopefully, someone else will come along and help us both out. GL

OLD-CADaver

unread,
Apr 15, 2004, 12:35:47 PM4/15/04
to
AFAIK, it can only be "worked around". One solution has already been posted duplicate the subtracted element and do separate subtractions. Another (the one I use) is to let it go ahead and union, then I use a function based on the SLICE command to slice the union back into two elements.

chrisb

unread,
Apr 15, 2004, 1:28:50 PM4/15/04
to
"a function based on the SLICE "
-And that function would be?? Or did you mean a routine that uses the Slice command (which, to my knowledge, has no separateable function).

chrisb

unread,
Apr 15, 2004, 1:43:32 PM4/15/04
to
Yours is similar to the workaround I do now. Only, you really don't have to move anything. With the knowledge that AutoCAD solids are not REALLY solid, and therefore don't follow the rules of physics, I just Copy the part to be subtracted into itself (Copy -select the solid- supply @ for base point, then @ again for destination point). Subtract one, and the result looks like nothing happened (except there's now a hole thru. the 1st solid, with the remaining copy of the "subtractor" already in the correct place, to be then subtracted from the second solid. Now that I'm thinking about it, I could probably write a routine to sort of automate that a bit - but 1st: Hey, Old Cadaver, have you or your people written anything like that already? I know you do a lot of solid work over there.

JDMATHER

unread,
Apr 15, 2004, 2:19:43 PM4/15/04
to
>Hopefully, someone else will come along and help us both out.
Autodesk Inventor - assembly features.

jackshield

unread,
Apr 15, 2004, 2:33:25 PM4/15/04
to
what buisness are you in?

OLD-CADaver

unread,
Apr 15, 2004, 2:18:40 PM4/15/04
to
We have several lisp functions that use the slice command a few are:

(DEFUN C:SLC2 ()
(COMMAND "CMDECHO" "1")
(command "osnapcoord" "1")
(SSGET)
(setq pta (getpoint "\n Select First Point On Slicing Plane: "))
(setq ptb (getpoint "\n Select Second Point On Slicing Plane: "))
(COMMAND ".SLICE" "P" "" pta ptb "@0,0,12")
)

(DEFUN C:SLCY ()
(COMMAND "CMDECHO" "1")
(SSGET)
(COMMAND ".SLICE" "P" "" "ZX")
)

(DEFUN C:SLCX ()
(COMMAND "CMDECHO" "1")
(SSGET)
(COMMAND ".SLICE" "P" "" "YZ")
)

(DEFUN C:SLCZ ()
(COMMAND "CMDECHO" "1")
(SSGET)
(COMMAND ".SLICE" "P" "" "XY")
)

These used in conjunction with point filters, ucs, osnap, etc. accomplish our desired results.

OLD-CADaver

unread,
Apr 15, 2004, 2:26:56 PM4/15/04
to
>>Old Cadaver, have you or your people written anything like that already? I know you do a lot of solid work over there. <<

No not really, we don't do a lot of editting of the primatives anymore. Nearly everything we do is a block or produced parametrically. Stuff like pipe flanges, valves, fittings, etc are blocks (or are created parametrically and then blocked) that we insert through an in-house pipe router routine, as is the steel, concrete, plumbing, electrical conduit and cable tray. Every now and then we need a custom bracket or an odd piece of mechanical equipment that we haven't already cataloged, so one of us will have to bang it together out of the primatives. But that's happening less and less often.

OLD-CADaver

unread,
Apr 15, 2004, 4:06:43 PM4/15/04
to
>>sounds like you work for design firm?<<

Yeah, when they're watching anyway. We also do fabrication, manufacture, construction. We go from concept to completion, heck we'll even run it for you after it's built.

>> i'm the only one who works on it or even sees it before it goes to floor, i dont even get my prints checked, so i have to be very careful bout wiping my own. <<

I did that for a while in the mid 80's, it was kinda fun, but I never really could relax until they got done with whatever it was.

We're just one subsidiary of a large wold-wide organization, so I get to see a multitude of different design challenges.

jackshield

unread,
Apr 15, 2004, 4:40:33 PM4/15/04
to
i get a multitude too. i evn begin jobs by telling them i really dont know about this, they say "you'll figure it out".
i got major job going now, been working on it since november, cant wait for it to be done, but will spend a few weeks after its complete wrapping up my end, post documenting some thing, converting sketches to real drawings, etc. - i think i could go for some help, at least someone to check me, getting tired of doing my own wiping!

OLD-CADaver

unread,
Apr 16, 2004, 7:20:37 AM4/16/04
to
Know what you mean, I used to like that "jack-of-all-trades-master-of-none" one-man-shop stuff, too. But as lame as I can be from time to time, I really need a checker.

Dave

unread,
Apr 16, 2004, 10:04:26 AM4/16/04
to
I have another work-around. You will still need to use one of the other
processes mentioned, but once you have the holes there, you can use
SmartLister to copy, erase, array, mirror, copy-rotate or move the multiple
holes in multiple objects in one operation. They do not need to be round
either.
--
David Wishengrad
President & CTO
MillLister, Inc.
Software for measuring and stretching multiple 3D solids.
Http://Construction3D.com


OLD-CADaver

unread,
Apr 16, 2004, 11:32:23 AM4/16/04
to
Oh boy, another sales pitch.

madcadd

unread,
Apr 16, 2004, 1:24:52 PM4/16/04
to
Hi JD,

I've mentioned this before that we had tutorials of Inventor and SolidWorks at the same time. Inventor crashed all the time and we own SolidWorks today. And believe me when I say, I wanted Inventor to be the chosen one, but alas...it must work first. I keep looking in on their NG and see lots of problems that I think should be fixed by now. ...Someday, probably after I'm retired. Right around the corner ;-)

Reply From: JDMATHER
Date: Apr/15/04 - 13:19 (CDT)

Re: Subtract without unioning?

jackshield

unread,
Apr 15, 2004, 3:33:14 PM4/15/04
to
i contract at a tire plant, deal with equipment throughout plant.
i only do mechanical, electrical and others handled and suported by different entities. very seldom do i do any work outside of this plant. sounds like you work for design firm?
kinda backwards here, regardless of the scale of the job, once it is assigned to me, i'm the only one who works on it or even sees it before it goes to floor, i dont even get my prints checked, so i have to be very careful bout wiping my own. i really have to stick to this little system i have of putting my own files through an assembly process just to check myself, tends to be time consuming, but really pays off at construction time.

OLD-CADaver

unread,
Apr 15, 2004, 3:26:18 PM4/15/04
to
Industrial engineering design (mechanical, piping, electrical, civil, structural, architectural, instrumentation, process and facilities management), mostly petro-chem, pulp-paper, power and distribution, with some commercial building, highway and rail thrown in the mix. We have about 150 AutoCAD seats, 80 MSTA seats, 16 PLANT4D seats and a couple odd duck cad packages jumbled in there.

How about you?

jackshield

unread,
Apr 16, 2004, 1:33:54 PM4/16/04
to
to be totally honest, done the one man thing so long, dont really trust the work of others, always check it before using.
paranoid, yes - but good practices!

JDMATHER

unread,
Apr 16, 2004, 2:44:48 PM4/16/04
to
I teach Inventor and SolidWorks on a daily basis. Everything we do in one - we also do in the other.
I think most of the problems are with the user not the software. I am frequently astonished by the lack of training of users.
The programs are nearly identical with an edge to Inventor on user interface and the Autodesk Inventor forum for help as compared to the various SolidWorks forum. SolidWorks has an advantage in functionality, but not in the features that most people need.
J.D.
http://home.pct.edu/~jmather/content/DSG322/inventor_surface_tutorials.htm

madcadd

unread,
Apr 16, 2004, 1:33:46 PM4/16/04
to
Hi chris,

I used to copy in place, but I'm really a visual guy and I like being able to see what I'm doing a little more. Copying out and moving back really isn't much of a big deal, time wise or otherwise. Then I spend a couple of seconds more highlighting just as a visual check.

And you are right to check on a lisp already written for it. Later

jackshield

unread,
Apr 16, 2004, 1:31:38 PM4/16/04
to
you wouldnt belive the method i have, basically assemble my designs 3 differnet times, but it works, i never have fit problems, sometimes leave a dim off, but never in error.

slacker

unread,
Apr 16, 2004, 7:22:27 PM4/16/04
to
Hey - that all sounds like what I used to do, except my experience was in
microprocessor fabrication instead of petro-chem, etc. A little of
everything for everyone, plus the CAD management....

But the high-tech companies decided to quit building so much a couple years
ago when the economy took a big dump, so now I am doing mostly civil,
environmental, and DOT. Mixin' it up.


"OLD-CADaver" <nos...@address.withheld> wrote in message
news:1197320.1082143014317.JavaMail.jive@jiveforum2...

brite750

unread,
Apr 17, 2004, 7:15:52 PM4/17/04
to
Once again, AutoSolids, two flanges lined up with holes through both of them can be easily accomplished with AutoSolids , with AS you can use any size, shape of joined polyline to cut through solids, without joining the solids, yes that's right a 2D polyline, no more making a solid to subtract from another solid crap, at least in many circumstances.

Dave

unread,
Apr 17, 2004, 8:21:52 PM4/17/04
to
That sounds like a really cool feature. Are they Autosolid solids or
standard AutoCAD solids that you are doing that with? Can the drawing and
objects be opened and completely edited with standard ACAD after such a
procedure?

Thanks

Al G

unread,
Apr 17, 2004, 8:42:05 PM4/17/04
to
Dave wrote:
> That sounds like a really cool feature. Are they Autosolid solids or
> standard AutoCAD solids that you are doing that with? Can the
> drawing and objects be opened and completely edited with standard
> ACAD after such a procedure?
>
I've used AutoSolids and the feature is called "QuickCut", which will
work with any solid. AutoSolids solids can be edited with standard
AutoCAD but if they lose their editing "magic".

--
Alan

brite750

unread,
Apr 17, 2004, 9:35:41 PM4/17/04
to
Yes, that’s one of the nice things about AS, it uses native AutoCAD solids, so if you or your client doesn't have AS your not missing pieces of your drawing, it just looks like a regular acad file. With some 3rd party ware you have to have the software to view the proxy entities, so when you call up the dwg file, parts of the drawing are missing. I hate to sound like a commercial, but if your working a lot with Acad 3D solids you should have this program, believe me for $500, you’ll never look back.

brite750

unread,
Apr 17, 2004, 10:04:27 PM4/17/04
to
Dave, for crying out loud, haven't you ever called Scott Slovik of AutoSolids, if you two ever got together, you could probably take over the world. We poor Acad slobs out here count on you software geniuses to make our lives easier, get with it man.

Dave

unread,
Apr 19, 2004, 10:33:12 AM4/19/04
to
Thanks for the reply and information. In all honesty, I have never tried
Autosolids. I do have customers that have it and their comments are a mixed
bag depending on what they are trying to accomplish. I will give them a call
and see if I can get a demo that does not require me to agree to any sort of
licensing agreement or perhaps they can just demo it for me with Netmeeting.
I am not interested in creating code that someone else already has, provided
it is reasonably priced, so there is always a possibility there. I am
currently in discussion with the creator of 3Dburst also. That is a nice
utility also for Boolean solids. I do have some concerns that I cannot post
here however. I apologize for the lack of information, but it would not be
prudent to even generalize the topic. I will let you know what happens.

brite750

unread,
Apr 19, 2004, 4:09:51 PM4/19/04
to
I've have been looking for a couple of years now for something to take a Acad 3d solid an assign information to it for BOM purposes, I don't want to use attributes, blocks, etc. I want something like the way Acad Mech6PP works with part reference, kind of like a sticky note, and also similar to Mech6PP in all it's other BOM functions. And no I haven't been able to get Mech6PP to work with 3D solids it's primarily a 2D program. I do not understand how Smartlister works, if solids are proxy entities or what. AutoSolids of course has no BOM functions it just makes working in 3D solids really easy, you can make something, union it , blow it appart, change it reunion it, edit a complex solid, stretch a solid, stretch a revolved profile, etc, etc. Most people who are not finding it useful, either haven't used it long enough, or somehow just aren't creating 3D solids in their discipline, i.e. just putting blocks together.

Dave

unread,
Apr 19, 2004, 5:36:53 PM4/19/04
to
Well, no answer. All I ever get when I call is an answering machine. I left
a message. but no one has gotten back to me yet. I will let you know if and
when I get a call back.
We use just solids and xdata. You should contact me for more info, as this
is not the place to discuss it.

brite750

unread,
Apr 20, 2004, 12:54:29 PM4/20/04
to
OK, that sounds good.

Dave

unread,
Apr 20, 2004, 7:32:26 PM4/20/04
to
Okay, talked to Scott.

Nice guy. The result is that our software's are not really all that
compatible. He implements a process that keeps track of the edits to solids,
so that they can be altered and/or undone. We simply change the solids as
need be, without using the standard Boolean operations that his software
tracks so that it can work. We can modify any solids created with his
software, but his software would loose the ability to update later. His
stuff is more geared towards design-engineering and is more powerful for
more things in that area and ours is geared more towards
design-to-manufacturing and BOM. You could theoretically use both or one or
neither. It all depends on what you want to get done.

CADmike

unread,
Apr 22, 2004, 3:19:41 PM4/22/04
to
The replies to this post got rather extensive and I didn't have time to read them all. I just subtracted one solid from two separate solids at the same time and, yes, the remaining two solids were unioned. I then used the Separate function and ended up with 2 individual solids again.
0 new messages